#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true

  QSL\CloudSearch\LifetimeHook\Hook:
    tags:
      - {name: xcart.lifetime-hook, type: rebuild, method: onRebuild}
      - {name: xcart.lifetime-hook, type: install, method: onInstall}

  QSL\CloudSearch\LifetimeHook\Upgrade\UpgradeTo551build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-CloudSearch, type: upgrade, method: onUpgrade, version: 5.5.1.0}

  QSL\CloudSearch\LifetimeHook\Upgrade\UpgradeTo552build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-CloudSearch, type: upgrade, method: onUpgrade, version: 5.5.2.0}

  QSL\CloudSearch\LifetimeHook\Upgrade\UpgradeTo552build5:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-CloudSearch, type: upgrade, method: onUpgrade, version: 5.5.2.5}
